@import "../abstracts/variables";
@import "../core/typography";
@import "../abstracts/mixins";

.login-container {
  height: 100vh;
  width: 100vw;
  display: flex;
  overflow-y: scroll;

  .image-container {
    height: 100%;
    width: 60%;
    img {
      height: 100%;
      width: 100%;
      object-fit: cover;
      background: transparent;
    }
  }

  @include lt-md {
    .image-container {
      display: none;
    }
    .form-container {
      width: 100% !important;
    }
  }

  .form-container {
    height: 100%;
    width: 40%;
    .social-logins {
      margin: 5% 0;
      display: flex;
      justify-content: center;
      align-items: center;
      .button-container {
        cursor: pointer;
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 65%;
        padding: 2%;
        border-radius: $border-radius;
        border: 1px solid $border-color;
        .social-title {
          font-weight: $fw-boldest;
        }
      }
      .button-container:hover {
        cursor: pointer;
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 65%;
        padding: 2%;
        border-radius: $border-radius;
        border: 1px solid $border-color;
        .social-title {
          font-weight: $fw-boldest;
        }
        background-color: $fade-primary-color;
      }
    }
    .logo-container {
      margin-top: 5%;
      width: 100%;
      display: flex;
      justify-content: center;
      align-items: center;
      img {
        height: 150px;
      }
    }
    .linebreak-container {
      width: 100%;
      display: flex;
      justify-content: center;
      align-items: center;
      .hr-line-wrapper {
        width: 30%;
        height: 1px !important;
        background-color: $fade-primary-color;
      }
      .or-text {
        margin: 0 10px;
        color: $dark-fade-primary-color;
        padding: 0;
        font-size: $fs-h5;
      }
    }
  }
}
